package com.zcloud.zcGbsServicer.command;

import com.alibaba.cola.exception.BizException;
import com.zcloud.zcGbsServicer.domain.gateway.ResourceDeviceGateway;
import com.zcloud.zcGbsServicer.domain.model.ResourceDeviceE;
import com.zcloud.zcGbsServicer.dto.ResourceDeviceUpdateCmd;
import lombok.AllArgsConstructor;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;




/**
* web-app
* @Author makejava
* @Date 2026-01-21 17:23:16
*/
@Component
@AllArgsConstructor
public class ResourceDeviceUpdateExe {
    private final ResourceDeviceGateway resourceDeviceGateway;

    @Transactional(rollbackFor = Exception.class)
    public void execute(ResourceDeviceUpdateCmd resourceDeviceUpdateCmd) {
        ResourceDeviceE resourceDeviceE = new ResourceDeviceE();
        BeanUtils.copyProperties(resourceDeviceUpdateCmd, resourceDeviceE);
        boolean res = resourceDeviceGateway.update(resourceDeviceE);
        if (!res) {
            throw new BizException("修改失败");
        }
    }
}

